We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6837 - installation does not check password length
installation does not check password length
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Installer
2.4.5
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 23:28 PDT by BT
Modified: 2014-08-06 13:32 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BT 2011-08-22 23:28:35 PDT
Hi,

I've been testing my bcrypt branch and I noticed that when you use the web based installer or the php tools/install.php that the minimum password length is not checked for the default admin user.  I'm able to create an account root:root with the installer, but when I change the password in needs to be 6.
Comment 1 Alec Smecher 2014-08-05 19:51:03 PDT
Pull request opened (not merged):
Implementing administrator password validation on instalation
https://github.com/pkp/pkp-lib/pull/138
Comment 2 Fábio Luna 2014-08-06 13:29:02 PDT
Implementing administrator password validation on instalation
https://github.com/pkp/pkp-lib/commit/dce846933cfe3c69ba02ce3592a5cef5b6292ac8
Comment 3 Alec Smecher 2014-08-06 13:29:02 PDT
Pull request closed (merged):
Implementing administrator password validation on instalation
https://github.com/pkp/pkp-lib/pull/138
Comment 4 Alec Smecher 2014-08-06 13:31:02 PDT
Implementing administrator password validation on instalation
https://github.com/pkp/ojs/commit/972fc1a93c7250fc7862d94e566fd7e35c20c4ef
Comment 5 Alec Smecher 2014-08-06 13:31:26 PDT
Committed; thanks for contributing, Fabio!
Comment 6 Alec Smecher 2014-08-06 13:32:02 PDT
Pull request closed (not merged):
Implementing administrator password validation on instalation
https://github.com/pkp/ojs/pull/252